Changeset 406 for branches


Ignore:
Timestamp:
Jul 10, 2006 4:22:43 PM (13 years ago)
Author:
andreasw
Message:

took over latest changes from trunk

Location:
branches/devel/Cbc
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Cbc/Makefile.in

    r389 r406  
    132132COINUTILSOBJDIR = @COINUTILSOBJDIR@
    133133COINUTILSSRCDIR = @COINUTILSSRCDIR@
    134 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    135 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    136134COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    137135COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
     
    176174CXXFLAGS = @CXXFLAGS@
    177175CYGPATH_W = @CYGPATH_W@
     176DBG_CFLAGS = @DBG_CFLAGS@
     177DBG_CXXFLAGS = @DBG_CXXFLAGS@
    178178DEFS = @DEFS@
    179179DEPDIR = @DEPDIR@
     
    217217MSKLIB = @MSKLIB@
    218218OBJEXT = @OBJEXT@
     219OPT_CFLAGS = @OPT_CFLAGS@
     220OPT_CXXFLAGS = @OPT_CXXFLAGS@
    219221OSIOBJDIR = @OSIOBJDIR@
    220222OSISRCDIR = @OSISRCDIR@
  • branches/devel/Cbc/configure

    r398 r406  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE COIN_DEBUG_TRUE COIN_DEBUG_FALSE CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ADD_CFLAGS MPICC CXXDEFS CXX CXXFLAGS ac_ct_CXX ADD_CXXFLAGS MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    918918ac_cv_env_CDEFS_set=${CDEFS+set}
    919919ac_cv_env_CDEFS_value=$CDEFS
     920ac_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
     921ac_env_ADD_CFLAGS_value=$ADD_CFLAGS
     922ac_cv_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
     923ac_cv_env_ADD_CFLAGS_value=$ADD_CFLAGS
     924ac_env_DBG_CFLAGS_set=${DBG_CFLAGS+set}
     925ac_env_DBG_CFLAGS_value=$DBG_CFLAGS
     926ac_cv_env_DBG_CFLAGS_set=${DBG_CFLAGS+set}
     927ac_cv_env_DBG_CFLAGS_value=$DBG_CFLAGS
     928ac_env_OPT_CFLAGS_set=${OPT_CFLAGS+set}
     929ac_env_OPT_CFLAGS_value=$OPT_CFLAGS
     930ac_cv_env_OPT_CFLAGS_set=${OPT_CFLAGS+set}
     931ac_cv_env_OPT_CFLAGS_value=$OPT_CFLAGS
    920932ac_env_CC_set=${CC+set}
    921933ac_env_CC_value=$CC
     
    934946ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
    935947ac_cv_env_CPPFLAGS_value=$CPPFLAGS
    936 ac_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
    937 ac_env_ADD_CFLAGS_value=$ADD_CFLAGS
    938 ac_cv_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
    939 ac_cv_env_ADD_CFLAGS_value=$ADD_CFLAGS
    940948ac_env_MPICC_set=${MPICC+set}
    941949ac_env_MPICC_value=$MPICC
     
    946954ac_cv_env_CXXDEFS_set=${CXXDEFS+set}
    947955ac_cv_env_CXXDEFS_value=$CXXDEFS
     956ac_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
     957ac_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
     958ac_cv_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
     959ac_cv_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
     960ac_env_DBG_CXXFLAGS_set=${DBG_CXXFLAGS+set}
     961ac_env_DBG_CXXFLAGS_value=$DBG_CXXFLAGS
     962ac_cv_env_DBG_CXXFLAGS_set=${DBG_CXXFLAGS+set}
     963ac_cv_env_DBG_CXXFLAGS_value=$DBG_CXXFLAGS
     964ac_env_OPT_CXXFLAGS_set=${OPT_CXXFLAGS+set}
     965ac_env_OPT_CXXFLAGS_value=$OPT_CXXFLAGS
     966ac_cv_env_OPT_CXXFLAGS_set=${OPT_CXXFLAGS+set}
     967ac_cv_env_OPT_CXXFLAGS_value=$OPT_CXXFLAGS
    948968ac_env_CXX_set=${CXX+set}
    949969ac_env_CXX_value=$CXX
     
    954974ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
    955975ac_cv_env_CXXFLAGS_value=$CXXFLAGS
    956 ac_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
    957 ac_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
    958 ac_cv_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
    959 ac_cv_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
    960976ac_env_MPICXX_set=${MPICXX+set}
    961977ac_env_MPICXX_value=$MPICXX
     
    10591075  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10601076  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1061   --enable-debug          compile with debug options and runtime tests
     1077  --enable-debug          compile all projects with debug options tests
     1078  --enable-debug-cbc compile this project (Cbc) with debug options
    10621079  --enable-static[=PKGS]
    10631080                          build static libraries [default=no]
     
    10921109  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10931110  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     1111  --with-cbc-verbosity specify the debug verbosity level for project Cbc
     1112  --with-cbc-checklevel specify the sanity check level for project Cbc
    10941113  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10951114  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    11261145Some influential environment variables:
    11271146  CDEFS       Additional -D flags to be used when compiling C code.
     1147  ADD_CFLAGS  Additional C compiler options
     1148  DBG_CFLAGS  Debug C compiler options
     1149  OPT_CFLAGS  Optimize C compiler options
    11281150  CC          C compiler command
    11291151  CFLAGS      C compiler flags
     
    11321154  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
    11331155              headers in a nonstandard directory <include dir>
    1134   ADD_CFLAGS  Additional C compiler options
    11351156  MPICC       C MPI Compiler
    11361157  CXXDEFS     Additional -D flags to be used when compiling C++ code.
     1158  ADD_CXXFLAGS
     1159              Additional C++ compiler options
     1160  DBG_CXXFLAGS
     1161              Debug C++ compiler options
     1162  OPT_CXXFLAGS
     1163              Optimize C++ compiler options
    11371164  CXX         C++ compiler command
    11381165  CXXFLAGS    C++ compiler flags
    1139   ADD_CXXFLAGS
    1140               Additional C++ compiler options
    11411166  MPICXX      C++ MPI Compiler
    11421167  CPP         C preprocessor
     
    17151740  enableval="$enable_debug"
    17161741  case "${enableval}" in
    1717                    yes) coin_debug_compile=true
    1718 
    1719 cat >>confdefs.h <<\_ACEOF
    1720 #define COIN_DEBUG 1
    1721 _ACEOF
    1722 
    1723                      enable_shared=no
    1724                      ;;
    1725                    no)  coin_debug_compile=false
    1726                      ;;
    1727                     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1742   yes) coin_debug_compile=true
     1743        enable_shared=no
     1744        ;;
     1745   no)  coin_debug_compile=false
     1746        ;;
     1747   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    17281748echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    17291749   { (exit 1); exit 1; }; }
    1730                      ;;
    1731                  esac
     1750        ;;
     1751esac
    17321752else
    17331753  coin_debug_compile=false
    17341754fi;
     1755
     1756# Check whether --enable-debug-cbc or --disable-debug-cbc was given.
     1757if test "${enable_debug_cbc+set}" = set; then
     1758  enableval="$enable_debug_cbc"
     1759  case "${enableval}" in
     1760    yes) coin_debug_compile=true
     1761         enable_shared=no
     1762         ;;
     1763    no)  coin_debug_compile=false
     1764         ;;
     1765    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-cbc" >&5
     1766echo "$as_me: error: bad value ${enableval} for --enable-debug-cbc" >&2;}
     1767   { (exit 1); exit 1; }; }
     1768         ;;
     1769 esac
     1770else
     1771  :
     1772fi;
     1773
     1774 # m4_ifvaln([Cbc],
    17351775
    17361776if test $coin_debug_compile = true; then
     
    17431783
    17441784
    1745 
    1746 if test "$coin_debug_compile" = true; then
    1747   COIN_DEBUG_TRUE=
    1748   COIN_DEBUG_FALSE='#'
    1749 else
    1750   COIN_DEBUG_TRUE='#'
    1751   COIN_DEBUG_FALSE=
    1752 fi
     1785# Check whether --with-cbc-verbosity or --without-cbc-verbosity was given.
     1786if test "${with_cbc_verbosity+set}" = set; then
     1787  withval="$with_cbc_verbosity"
     1788  coin_cbc_verbosity=$withval
     1789else
     1790  coin_cbc_verbosity=0
     1791fi;
     1792
     1793cat >>confdefs.h <<_ACEOF
     1794#define COIN_CBC_VERBOSITY $coin_cbc_verbosity
     1795_ACEOF
     1796
     1797
     1798
     1799# Check whether --with-cbc-checklevel or --without-cbc-checklevel was given.
     1800if test "${with_cbc_checklevel+set}" = set; then
     1801  withval="$with_cbc_checklevel"
     1802  coin_cbc_checklevel=$withval
     1803else
     1804  coin_cbc_checklevel=0
     1805fi;
     1806
     1807cat >>confdefs.h <<_ACEOF
     1808#define COIN_CBC_CHECKLEVEL $coin_cbc_checklevel
     1809_ACEOF
     1810
     1811
     1812# We use the following variable to have a string with the upper case
     1813# version of the project name
     1814COIN_PRJCT=CBC
     1815
     1816
     1817 # m4_ifvaln([Cbc],
    17531818
    17541819
     
    17881853
    17891854
     1855
     1856
     1857
    17901858coin_has_cc=yes
    17911859
     
    17951863             comps="gcc cl" ;;
    17961864  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    1797   *)         comps="xlc cc gcc pgcc icc" ;;
     1865  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
    17981866esac
    17991867
    18001868# We delete the cached value, since the test might not have been
    18011869# performed with out choise of compilers earlier
    1802 ac_cv_prog_CC=
     1870$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    18031871ac_ext=c
    18041872ac_cpp='$CPP $CPPFLAGS'
     
    25162584CFLAGS="$save_cflags"
    25172585
    2518 echo "$as_me:$LINENO: checking for C compiler options" >&5
    2519 echo $ECHO_N "checking for C compiler options... $ECHO_C" >&6
    2520 if test "${coin_cv_cflags+set}" = set; then
    2521   echo $ECHO_N "(cached) $ECHO_C" >&6
    2522 else
    2523   if test x"$CFLAGS" = x; then
     2586# Check if a project specific CFLAGS variable has been set
     2587if test x$COIN_PRJCT != x; then
     2588  eval coin_tmp=\${${COIN_PRJCT}_CFLAGS+set}
     2589  if test x$coin_tmp = xset; then
     2590    eval CFLAGS=\${${COIN_PRJCT}_CFLAGS}
     2591  fi
     2592fi
     2593
     2594if test x"$CFLAGS" = x; then
    25242595
    25252596  coin_add_cflags=
     
    26942765  fi
    26952766
    2696   if test "$coin_debug_compile" = "true"; then
    2697     CFLAGS="$coin_dbg_cflags $coin_add_cflags $CDEFS $coin_warn_cflags"
    2698   else
    2699     if test -z "$coin_opt_cflags"; then
    2700       # Try if -O option works if nothing else is set
    2701       CFLAGS="-O"
    2702       cat >conftest.$ac_ext <<_ACEOF
     2767  if test -z "$coin_opt_cflags"; then
     2768    # Try if -O option works if nothing else is set
     2769    CFLAGS="-O"
     2770    cat >conftest.$ac_ext <<_ACEOF
    27032771/* confdefs.h.  */
    27042772_ACEOF
     
    27452813rm -f conftest.err conftest.$ac_objext \
    27462814      conftest$ac_exeext conftest.$ac_ext
    2747     fi
    2748     CFLAGS="$coin_opt_cflags $coin_add_cflags -DNDEBUG $CDEFS $coin_warn_cflags"
     2815  fi
     2816
     2817  if test x${DBG_CFLAGS+set} != xset; then
     2818    DBG_CFLAGS="$coin_dbg_cflags $coin_add_cflags $coin_warn_cflags"
     2819  fi
     2820  if test x${OPT_CFLAGS+set} != xset; then
     2821    OPT_CFLAGS="$coin_opt_cflags $coin_add_cflags -DNDEBUG $coin_warn_cflags"
     2822  fi
     2823
     2824  DBG_CFLAGS="$DBG_CFLAGS $ADD_CFLAGS $CDEFS"
     2825  OPT_CFLAGS="$OPT_CFLAGS $ADD_CFLAGS $CDEFS"
     2826
     2827  if test "$coin_debug_compile" = "true"; then
     2828    CFLAGS="$DBG_CFLAGS"
     2829  else
     2830    CFLAGS="$OPT_CFLAGS"
     2831  fi
     2832else
     2833  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     2834  if test x${DBG_CFLAGS+set} != xset; then
     2835    DBG_CFLAGS="$CFLAGS"
     2836  fi
     2837  if test x${OPT_CFLAGS+set} != xset; then
     2838    OPT_CFLAGS="$CFLAGS"
    27492839  fi
    27502840fi
     
    27572847
    27582848# Try if CFLAGS works
     2849save_CFLAGS="$CFLAGS"
    27592850cat >conftest.$ac_ext <<_ACEOF
    27602851/* confdefs.h.  */
     
    28042895      conftest$ac_exeext conftest.$ac_ext
    28052896if test -z "$CFLAGS"; then
    2806   { echo "$as_me:$LINENO: WARNING: The value CFLAGS=\"$CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&5
    2807 echo "$as_me: WARNING: The value CFLAGS=\"$CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&2;}
     2897  { echo "$as_me:$LINENO: WARNING: The value CFLAGS=\"$save_CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&5
     2898echo "$as_me: WARNING: The value CFLAGS=\"$save_CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&2;}
    28082899  CFLAGS='-O'
    28092900  cat >conftest.$ac_ext <<_ACEOF
     
    28582949  fi
    28592950fi
    2860 coin_cv_cflags="$CFLAGS"
    2861 
    2862 fi
    2863 echo "$as_me:$LINENO: result: $coin_cv_cflags" >&5
    2864 echo "${ECHO_T}$coin_cv_cflags" >&6 # AC_CACHE_CHECK([for C compiler options CXXFLAGS]
    2865 CFLAGS="$coin_cv_cflags"
     2951
     2952{ echo "$as_me:$LINENO: C compiler options are: $CFLAGS" >&5
     2953echo "$as_me: C compiler options are: $CFLAGS" >&6;}
    28662954
    28672955
     
    29052993
    29062994
     2995
     2996
     2997
    29072998coin_has_cxx=yes
    29082999
     
    29123003             comps="g++ cl" ;;
    29133004  *-darwin*) comps="g++ c++ CC" ;;
    2914           *) comps="xlC aCC CC g++ c++ pgCC icpc" ;;
     3005          *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    29153006esac
    29163007
    29173008# We delete the cached value, since the test might not have been
    29183009# performed with out choise of compilers earlier
    2919 ac_cv_prog_CXX=
     3010$as_unset ac_cv_prog_CXX || test "${ac_cv_prog_CXX+set}" != set || { ac_cv_prog_CXX=; export ac_cv_prog_CXX; }
    29203011ac_ext=cc
    29213012ac_cpp='$CXXCPP $CPPFLAGS'
     
    32753366CXXFLAGS="$save_cxxflags"
    32763367
    3277 echo "$as_me:$LINENO: checking for C++ compiler options" >&5
    3278 echo $ECHO_N "checking for C++ compiler options... $ECHO_C" >&6
    3279 if test "${coin_cv_cxxflags+set}" = set; then
    3280   echo $ECHO_N "(cached) $ECHO_C" >&6
    3281 else
    3282   if test x"$CXXFLAGS" = x; then
     3368# Check if a project specific CXXFLAGS variable has been set
     3369if test x$COIN_PRJCT != x; then
     3370  eval coin_tmp=\${${COIN_PRJCT}_CXXFLAGS+set}
     3371  if test x$coin_tmp = xset; then
     3372    eval CXXFLAGS=\${${COIN_PRJCT}_CXXFLAGS}
     3373  fi
     3374fi
     3375
     3376if test x"$CXXFLAGS" = x; then
    32833377
    32843378# ToDo decide whether we want -DNDEBUG for optimization
     
    34553549  fi
    34563550
    3457   if test "$coin_debug_compile" = "true"; then
    3458     CXXFLAGS="$coin_dbg_cxxflags $coin_add_cxxflags $CXXDEFS $coin_warn_cxxflags"
    3459   else
    3460     if test -z "$coin_opt_cxxflags"; then
    3461       # Try if -O option works if nothing else is set
    3462       CXXFLAGS="-O"
    3463       cat >conftest.$ac_ext <<_ACEOF
     3551  if test -z "$coin_opt_cxxflags"; then
     3552    # Try if -O option works if nothing else is set
     3553    CXXFLAGS=-O
     3554    cat >conftest.$ac_ext <<_ACEOF
    34643555/* confdefs.h.  */
    34653556_ACEOF
     
    35063597rm -f conftest.err conftest.$ac_objext \
    35073598      conftest$ac_exeext conftest.$ac_ext
    3508     fi
    3509     CXXFLAGS="$coin_opt_cxxflags $coin_add_cxxflags -DNDEBUG $CXXDEFS $coin_warn_cxxflags"
    35103599  fi
    3511 fi
    3512 
    3513 # Check if user wants to have additional CXXFLAGS options
    3514 
    3515 if test x"$ADD_CXXFLAGS" != x; then
    3516   CXXFLAGS="$CXXFLAGS $ADD_CXXFLAGS"
     3600
     3601  if test x${DBG_CXXFLAGS+set} != xset; then
     3602    DBG_CXXFLAGS="$coin_dbg_cxxflags $coin_add_cxxflags $coin_warn_cxxflags"
     3603  fi
     3604  if test x${OPT_CXXFLAGS+set} != xset; then
     3605    OPT_CXXFLAGS="$coin_opt_cxxflags $coin_add_cxxflags -DNDEBUG $coin_warn_cxxflags"
     3606  fi
     3607
     3608  DBG_CXXFLAGS="$DBG_CXXFLAGS $ADD_CXXFLAGS $CXXDEFS"
     3609  OPT_CXXFLAGS="$OPT_CXXFLAGS $ADD_CXXFLAGS $CXXDEFS"
     3610
     3611  if test "$coin_debug_compile" = "true"; then
     3612    CXXFLAGS="$DBG_CXXFLAGS"
     3613  else
     3614    CXXFLAGS="$OPT_CXXFLAGS"
     3615  fi
     3616else
     3617  CXXFLAGS="$CXXFLAGS $ADD_CXXFLAGS $CXXDEFS"
     3618  if test x${DBG_CXXFLAGS+set} != xset; then
     3619    DBG_CXXFLAGS="$CXXFLAGS"
     3620  fi
     3621  if test x${OPT_CXXFLAGS+set} != xset; then
     3622    OPT_CXXFLAGS="$CXXFLAGS"
     3623  fi
    35173624fi
    35183625
    35193626# Try if CXXFLAGS works
     3627save_CXXFLAGS="$CXXFLAGS"
    35203628cat >conftest.$ac_ext <<_ACEOF
    35213629/* confdefs.h.  */
     
    35653673      conftest$ac_exeext conftest.$ac_ext
    35663674if test -z "$CXXFLAGS"; then
    3567   { echo "$as_me:$LINENO: WARNING: The flags CXXFLAGS=\"$CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&5
    3568 echo "$as_me: WARNING: The flags CXXFLAGS=\"$CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&2;}
     3675  { echo "$as_me:$LINENO: WARNING: The flags CXXFLAGS=\"$save_CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&5
     3676echo "$as_me: WARNING: The flags CXXFLAGS=\"$save_CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&2;}
    35693677  CXXFLAGS='-O'
    35703678  cat >conftest.$ac_ext <<_ACEOF
     
    36193727  fi
    36203728fi
    3621 coin_cv_cxxflags="$CXXFLAGS"
    3622 
    3623 fi
    3624 echo "$as_me:$LINENO: result: $coin_cv_cxxflags" >&5
    3625 echo "${ECHO_T}$coin_cv_cxxflags" >&6 # AC_CACHE_CHECK([for C++ compiler options CXXFLAGS]
    3626 CXXFLAGS="$coin_cv_cxxflags"
     3729
     3730{ echo "$as_me:$LINENO: C++ compiler options are: $CXXFLAGS" >&5
     3731echo "$as_me: C++ compiler options are: $CXXFLAGS" >&6;}
    36273732
    36283733
     
    46774782*-*-irix6*)
    46784783  # Find out which ABI we are using.
    4679   echo '#line 4679 "configure"' > conftest.$ac_ext
     4784  echo '#line 4784 "configure"' > conftest.$ac_ext
    46804785  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46814786  (eval $ac_compile) 2>&5
     
    58115916
    58125917# Provide some information about the compiler.
    5813 echo "$as_me:5813:" \
     5918echo "$as_me:5918:" \
    58145919     "checking for Fortran 77 compiler version" >&5
    58155920ac_compiler=`set X $ac_compile; echo $2`
     
    68786983   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    68796984   -e 's:$: $lt_compiler_flag:'`
    6880    (eval echo "\"\$as_me:6880: $lt_compile\"" >&5)
     6985   (eval echo "\"\$as_me:6985: $lt_compile\"" >&5)
    68816986   (eval "$lt_compile" 2>conftest.err)
    68826987   ac_status=$?
    68836988   cat conftest.err >&5
    6884    echo "$as_me:6884: \$? = $ac_status" >&5
     6989   echo "$as_me:6989: \$? = $ac_status" >&5
    68856990   if (exit $ac_status) && test -s "$ac_outfile"; then
    68866991     # The compiler can only warn and ignore the option if not recognized
     
    71467251   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71477252   -e 's:$: $lt_compiler_flag:'`
    7148    (eval echo "\"\$as_me:7148: $lt_compile\"" >&5)
     7253   (eval echo "\"\$as_me:7253: $lt_compile\"" >&5)
    71497254   (eval "$lt_compile" 2>conftest.err)
    71507255   ac_status=$?
    71517256   cat conftest.err >&5
    7152    echo "$as_me:7152: \$? = $ac_status" >&5
     7257   echo "$as_me:7257: \$? = $ac_status" >&5
    71537258   if (exit $ac_status) && test -s "$ac_outfile"; then
    71547259     # The compiler can only warn and ignore the option if not recognized
     
    72507355   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72517356   -e 's:$: $lt_compiler_flag:'`
    7252    (eval echo "\"\$as_me:7252: $lt_compile\"" >&5)
     7357   (eval echo "\"\$as_me:7357: $lt_compile\"" >&5)
    72537358   (eval "$lt_compile" 2>out/conftest.err)
    72547359   ac_status=$?
    72557360   cat out/conftest.err >&5
    7256    echo "$as_me:7256: \$? = $ac_status" >&5
     7361   echo "$as_me:7361: \$? = $ac_status" >&5
    72577362   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    72587363   then
     
    95959700  lt_status=$lt_dlunknown
    95969701  cat > conftest.$ac_ext <<EOF
    9597 #line 9597 "configure"
     9702#line 9702 "configure"
    95989703#include "confdefs.h"
    95999704
     
    96959800  lt_status=$lt_dlunknown
    96969801  cat > conftest.$ac_ext <<EOF
    9697 #line 9697 "configure"
     9802#line 9802 "configure"
    96989803#include "confdefs.h"
    96999804
     
    1203912144   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1204012145   -e 's:$: $lt_compiler_flag:'`
    12041    (eval echo "\"\$as_me:12041: $lt_compile\"" >&5)
     12146   (eval echo "\"\$as_me:12146: $lt_compile\"" >&5)
    1204212147   (eval "$lt_compile" 2>conftest.err)
    1204312148   ac_status=$?
    1204412149   cat conftest.err >&5
    12045    echo "$as_me:12045: \$? = $ac_status" >&5
     12150   echo "$as_me:12150: \$? = $ac_status" >&5
    1204612151   if (exit $ac_status) && test -s "$ac_outfile"; then
    1204712152     # The compiler can only warn and ignore the option if not recognized
     
    1214312248   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1214412249   -e 's:$: $lt_compiler_flag:'`
    12145    (eval echo "\"\$as_me:12145: $lt_compile\"" >&5)
     12250   (eval echo "\"\$as_me:12250: $lt_compile\"" >&5)
    1214612251   (eval "$lt_compile" 2>out/conftest.err)
    1214712252   ac_status=$?
    1214812253   cat out/conftest.err >&5
    12149    echo "$as_me:12149: \$? = $ac_status" >&5
     12254   echo "$as_me:12254: \$? = $ac_status" >&5
    1215012255   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1215112256   then
     
    1371313818   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1371413819   -e 's:$: $lt_compiler_flag:'`
    13715    (eval echo "\"\$as_me:13715: $lt_compile\"" >&5)
     13820   (eval echo "\"\$as_me:13820: $lt_compile\"" >&5)
    1371613821   (eval "$lt_compile" 2>conftest.err)
    1371713822   ac_status=$?
    1371813823   cat conftest.err >&5
    13719    echo "$as_me:13719: \$? = $ac_status" >&5
     13824   echo "$as_me:13824: \$? = $ac_status" >&5
    1372013825   if (exit $ac_status) && test -s "$ac_outfile"; then
    1372113826     # The compiler can only warn and ignore the option if not recognized
     
    1381713922   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1381813923   -e 's:$: $lt_compiler_flag:'`
    13819    (eval echo "\"\$as_me:13819: $lt_compile\"" >&5)
     13924   (eval echo "\"\$as_me:13924: $lt_compile\"" >&5)
    1382013925   (eval "$lt_compile" 2>out/conftest.err)
    1382113926   ac_status=$?
    1382213927   cat out/conftest.err >&5
    13823    echo "$as_me:13823: \$? = $ac_status" >&5
     13928   echo "$as_me:13928: \$? = $ac_status" >&5
    1382413929   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1382513930   then
     
    1602416129   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1602516130   -e 's:$: $lt_compiler_flag:'`
    16026    (eval echo "\"\$as_me:16026: $lt_compile\"" >&5)
     16131   (eval echo "\"\$as_me:16131: $lt_compile\"" >&5)
    1602716132   (eval "$lt_compile" 2>conftest.err)
    1602816133   ac_status=$?
    1602916134   cat conftest.err >&5
    16030    echo "$as_me:16030: \$? = $ac_status" >&5
     16135   echo "$as_me:16135: \$? = $ac_status" >&5
    1603116136   if (exit $ac_status) && test -s "$ac_outfile"; then
    1603216137     # The compiler can only warn and ignore the option if not recognized
     
    1629216397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1629316398   -e 's:$: $lt_compiler_flag:'`
    16294    (eval echo "\"\$as_me:16294: $lt_compile\"" >&5)
     16399   (eval echo "\"\$as_me:16399: $lt_compile\"" >&5)
    1629516400   (eval "$lt_compile" 2>conftest.err)
    1629616401   ac_status=$?
    1629716402   cat conftest.err >&5
    16298    echo "$as_me:16298: \$? = $ac_status" >&5
     16403   echo "$as_me:16403: \$? = $ac_status" >&5
    1629916404   if (exit $ac_status) && test -s "$ac_outfile"; then
    1630016405     # The compiler can only warn and ignore the option if not recognized
     
    1639616501   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1639716502   -e 's:$: $lt_compiler_flag:'`
    16398    (eval echo "\"\$as_me:16398: $lt_compile\"" >&5)
     16503   (eval echo "\"\$as_me:16503: $lt_compile\"" >&5)
    1639916504   (eval "$lt_compile" 2>out/conftest.err)
    1640016505   ac_status=$?
    1640116506   cat out/conftest.err >&5
    16402    echo "$as_me:16402: \$? = $ac_status" >&5
     16507   echo "$as_me:16507: \$? = $ac_status" >&5
    1640316508   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1640416509   then
     
    2041520520if test "${with_cbc_default_solver+set}" = set; then
    2041620521  withval="$with_cbc_default_solver"
    20417   cbc_default_solver=$with_val
     20522  cbc_default_solver=$withval
    2041820523else
    2041920524  cbc_default_solver=clp
     
    2181621921   { (exit 1); exit 1; }; }
    2181721922fi
    21818 if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    21819   { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
    21820 Usually this means the macro was only invoked conditionally." >&5
    21821 echo "$as_me: error: conditional \"COIN_DEBUG\" was never defined.
    21822 Usually this means the macro was only invoked conditionally." >&2;}
    21823    { (exit 1); exit 1; }; }
    21824 fi
    2182521923if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
    2182621924  { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
     
    2252022618s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
    2252122619s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
    22522 s,@COIN_DEBUG_TRUE@,$COIN_DEBUG_TRUE,;t t
    22523 s,@COIN_DEBUG_FALSE@,$COIN_DEBUG_FALSE,;t t
    2252422620s,@CDEFS@,$CDEFS,;t t
     22621s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     22622s,@DBG_CFLAGS@,$DBG_CFLAGS,;t t
     22623s,@OPT_CFLAGS@,$OPT_CFLAGS,;t t
    2252522624s,@CC@,$CC,;t t
    2252622625s,@CFLAGS@,$CFLAGS,;t t
     
    2253022629s,@EXEEXT@,$EXEEXT,;t t
    2253122630s,@OBJEXT@,$OBJEXT,;t t
    22532 s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
    2253322631s,@MPICC@,$MPICC,;t t
    2253422632s,@CXXDEFS@,$CXXDEFS,;t t
     22633s,@ADD_CXXFLAGS@,$ADD_CXXFLAGS,;t t
     22634s,@DBG_CXXFLAGS@,$DBG_CXXFLAGS,;t t
     22635s,@OPT_CXXFLAGS@,$OPT_CXXFLAGS,;t t
    2253522636s,@CXX@,$CXX,;t t
    2253622637s,@CXXFLAGS@,$CXXFLAGS,;t t
    2253722638s,@ac_ct_CXX@,$ac_ct_CXX,;t t
    22538 s,@ADD_CXXFLAGS@,$ADD_CXXFLAGS,;t t
    2253922639s,@MPICXX@,$MPICXX,;t t
    2254022640s,@EGREP@,$EGREP,;t t
  • branches/devel/Cbc/configure.ac

    r369 r406  
    4545
    4646# Check if user wants to produce debugging code
    47 AC_COIN_DEBUG_COMPILE
     47AC_COIN_DEBUG_COMPILE(Cbc)
    4848
    4949# Get the name of the C++ compiler and appropriate compiler options
     
    7474            AC_HELP_STRING([--with-cbc-default-solver],
    7575                           [specify default solver for Cbc in lower case letters (if not given, clp is assumed)]),
    76             [cbc_default_solver=$with_val],
     76            [cbc_default_solver=$withval],
    7777            [cbc_default_solver=clp])
    7878AC_MSG_RESULT($cbc_default_solver)
  • branches/devel/Cbc/inc/config_cbc.h.in

    r369 r406  
    55#undef CBC_DEFAULT_SOLVER
    66
    7 /* If defined, debug sanity checks are performed during runtime */
    8 #undef COIN_DEBUG
     7/* Define to the debug sanity check level (0 is no test) */
     8#undef COIN_CBC_CHECKLEVEL
     9
     10/* Define to the debug verbosity level (0 is no output) */
     11#undef COIN_CBC_VERBOSITY
    912
    1013/* If defined, the Ampl Solver Library is available. */
  • branches/devel/Cbc/src/CbcConfig.h

    r325 r406  
    4242/***************************************************************************/
    4343
    44 /* If defined, debug sanity checks are performed during runtime */
    45 /* #define COIN_DEBUG 1 */
     44/* Define to the debug sanity check level (0 is no test) */
     45#define COIN_CBC_CHECKLEVEL 0
     46
     47/* Define to the debug verbosity level (0 is no output) */
     48#define COIN_CBC_VERBOSITY 0
    4649
    4750/* Define to 1 if the Cbc package is used */
  • branches/devel/Cbc/src/Makefile.am

    r387 r406  
    162162########################################################################
    163163
     164if COIN_HAS_CLP
     165
    164166# Name of the executable compiled in this directory.  We want it to be
    165167# installed in the 'bin' directory
     
    192194cbc_LDADD += $(ASLLIB)
    193195AM_CPPFLAGS += $(ASL_CPPFLAGS)
     196endif
     197
    194198endif
    195199
     
    217221        -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglTwomir` \
    218222        -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
    219         -I`$(CYGPATH_W) $(OSISRCDIR)/src`
     223        -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc` \
     224        -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
     225        -I`$(CYGPATH_W) $(OSIOBJDIR)/inc`
    220226
    221227# List additional defines
  • branches/devel/Cbc/src/Makefile.in

    r398 r406  
    4545build_triplet = @build@
    4646host_triplet = @host@
    47 bin_PROGRAMS = cbc-generic$(EXEEXT) cbc$(EXEEXT)
     47bin_PROGRAMS = cbc-generic$(EXEEXT) $(am__EXEEXT_1)
    4848
    4949# List all additionally required solver and Osi libraries
     
    106106@COIN_HAS_XPR_TRUE@am__append_26 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    107107
     108########################################################################
     109#                            cbc program                               #
     110########################################################################
     111
     112# Name of the executable compiled in this directory.  We want it to be
     113# installed in the 'bin' directory
     114@COIN_HAS_CLP_TRUE@am__append_27 = cbc
     115
    108116# If we have the Ampl solver library, we need to add additional things
    109 @COIN_HAS_ASL_TRUE@am__append_27 = Cbc_ampl.cpp Cbc_ampl.h
    110 @COIN_HAS_ASL_TRUE@am__append_28 = $(ASLLIB)
    111 @COIN_HAS_ASL_TRUE@am__append_29 = $(ASL_CPPFLAGS)
     117@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_28 = Cbc_ampl.cpp Cbc_ampl.h
     118@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_29 = $(ASLLIB)
     119@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__append_30 = $(ASL_CPPFLAGS)
    112120subdir = src
    113121DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
     
    140148        CbcStatistics.lo CbcStrategy.lo CbcTree.lo CbcTreeLocal.lo
    141149libCbc_la_OBJECTS = $(am_libCbc_la_OBJECTS)
     150@COIN_HAS_CLP_TRUE@am__EXEEXT_1 = cbc$(EXEEXT)
    142151binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
    143152PROGRAMS = $(bin_PROGRAMS)
    144153am__cbc_SOURCES_DIST = CoinSolve.cpp unitTestClp.cpp Cbc_ampl.cpp \
    145154        Cbc_ampl.h
    146 @COIN_HAS_ASL_TRUE@am__objects_1 = Cbc_ampl.$(OBJEXT)
    147 am_cbc_OBJECTS = CoinSolve.$(OBJEXT) unitTestClp.$(OBJEXT) \
    148         $(am__objects_1)
    149 nodist_cbc_OBJECTS = CbcOrClpParam.$(OBJEXT)
     155@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__objects_1 =  \
     156@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@  Cbc_ampl.$(OBJEXT)
     157@COIN_HAS_CLP_TRUE@am_cbc_OBJECTS = CoinSolve.$(OBJEXT) \
     158@COIN_HAS_CLP_TRUE@     unitTestClp.$(OBJEXT) $(am__objects_1)
     159@COIN_HAS_CLP_TRUE@nodist_cbc_OBJECTS = CbcOrClpParam.$(OBJEXT)
    150160cbc_OBJECTS = $(am_cbc_OBJECTS) $(nodist_cbc_OBJECTS)
    151161am__DEPENDENCIES_1 =
    152 @COIN_HAS_ASL_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
    153 cbc_DEPENDENCIES = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
    154         $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    155         $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
    156         $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__DEPENDENCIES_2)
     162@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@am__DEPENDENCIES_2 =  \
     163@COIN_HAS_ASL_TRUE@@COIN_HAS_CLP_TRUE@  $(am__DEPENDENCIES_1)
     164@COIN_HAS_CLP_TRUE@cbc_DEPENDENCIES = libCbc.la \
     165@COIN_HAS_CLP_TRUE@     $(CGLOBJDIR)/src/libCgl.la \
     166@COIN_HAS_CLP_TRUE@     $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     167@COIN_HAS_CLP_TRUE@     $(OSIOBJDIR)/src/libOsi.la \
     168@COIN_HAS_CLP_TRUE@     $(CLPOBJDIR)/src/libClp.la \
     169@COIN_HAS_CLP_TRUE@     $(COINUTILSOBJDIR)/src/libCoinUtils.la \
     170@COIN_HAS_CLP_TRUE@     $(am__DEPENDENCIES_2)
    157171am_cbc_generic_OBJECTS = CbcMain.$(OBJEXT) CbcParam.$(OBJEXT) \
    158172        unitTest.$(OBJEXT)
     
    252266COINUTILSOBJDIR = @COINUTILSOBJDIR@
    253267COINUTILSSRCDIR = @COINUTILSSRCDIR@
    254 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    255 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    256268COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    257269COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
     
    296308CXXFLAGS = @CXXFLAGS@
    297309CYGPATH_W = @CYGPATH_W@
     310DBG_CFLAGS = @DBG_CFLAGS@
     311DBG_CXXFLAGS = @DBG_CXXFLAGS@
    298312DEFS = @DEFS@
    299313DEPDIR = @DEPDIR@
     
    339353MSKLIB = @MSKLIB@
    340354OBJEXT = @OBJEXT@
     355OPT_CFLAGS = @OPT_CFLAGS@
     356OPT_CXXFLAGS = @OPT_CXXFLAGS@
    341357OSIOBJDIR = @OSIOBJDIR@
    342358OSISRCDIR = @OSISRCDIR@
     
    490506        $(am__append_11) $(am__append_13) $(am__append_15) \
    491507        $(am__append_17) $(am__append_19) $(am__append_22) \
    492         $(am__append_25) $(am__append_29) -I`$(CYGPATH_W) \
     508        $(am__append_25) $(am__append_30) -I`$(CYGPATH_W) \
    493509        $(CGLSRCDIR)/src` -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglClique` \
    494510        -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglDuplicateRow` \
     
    503519        $(CGLSRCDIR)/src/CglRedSplit` -I`$(CYGPATH_W) \
    504520        $(CGLSRCDIR)/src/CglTwomir` -I`$(CYGPATH_W) \
    505         $(COINUTILSSRCDIR)/src` -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
    506         -DCOIN_NO_CLP_MESSAGE -DUSE_CBCCONFIG
     521        $(COINUTILSSRCDIR)/src` -I`$(CYGPATH_W) \
     522        $(COINUTILSOBJDIR)/inc` -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
     523        -I`$(CYGPATH_W) $(OSIOBJDIR)/inc` -DCOIN_NO_CLP_MESSAGE \
     524        -DUSE_CBCCONFIG
    507525
    508526# Finally, the -rpath flag is used by libtool to make sure that the shared
     
    512530
    513531# List all source files for this executable, including headers
    514 cbc_SOURCES = CoinSolve.cpp unitTestClp.cpp $(am__append_27)
     532@COIN_HAS_CLP_TRUE@cbc_SOURCES = CoinSolve.cpp unitTestClp.cpp \
     533@COIN_HAS_CLP_TRUE@     $(am__append_28)
    515534
    516535# The following file is not to be distributed, since it is "borrowed" from Clp
    517 nodist_cbc_SOURCES = CbcOrClpParam.cpp
     536@COIN_HAS_CLP_TRUE@nodist_cbc_SOURCES = CbcOrClpParam.cpp
    518537
    519538# Additional COIN libraries
    520 cbc_LDADD = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
    521         $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    522         $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
    523         $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__append_28)
     539@COIN_HAS_CLP_TRUE@cbc_LDADD = libCbc.la $(CGLOBJDIR)/src/libCgl.la \
     540@COIN_HAS_CLP_TRUE@     $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     541@COIN_HAS_CLP_TRUE@     $(OSIOBJDIR)/src/libOsi.la \
     542@COIN_HAS_CLP_TRUE@     $(CLPOBJDIR)/src/libClp.la \
     543@COIN_HAS_CLP_TRUE@     $(COINUTILSOBJDIR)/src/libCoinUtils.la \
     544@COIN_HAS_CLP_TRUE@     $(am__append_29)
    524545
    525546# Finally, the -rpath flag is used by libtool to make sure that the shared
    526547# library is found (in the lib install directory) when we are using dynamic
    527548# libraries.
    528 cbc_LDFLAGS = -rpath $(libdir)
     549@COIN_HAS_CLP_TRUE@cbc_LDFLAGS = -rpath $(libdir)
    529550
    530551# This line is necessary to allow VPATH compilation with MS compilers
  • branches/devel/Cbc/src/unitTestClp.cpp

    r356 r406  
    17681768    fclose(fp);
    17691769  }
    1770 #ifdef COIN_USE_ZLIB
     1770#ifdef COIN_HAS_ZLIB
    17711771  test1 += ".gz";
    17721772  fp=fopen(test1.c_str(),"r");
  • branches/devel/Cbc/test/Makefile.in

    r389 r406  
    8585COINUTILSOBJDIR = @COINUTILSOBJDIR@
    8686COINUTILSSRCDIR = @COINUTILSSRCDIR@
    87 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    88 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    8987COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    9088COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
     
    129127CXXFLAGS = @CXXFLAGS@
    130128CYGPATH_W = @CYGPATH_W@
     129DBG_CFLAGS = @DBG_CFLAGS@
     130DBG_CXXFLAGS = @DBG_CXXFLAGS@
    131131DEFS = @DEFS@
    132132DEPDIR = @DEPDIR@
     
    170170MSKLIB = @MSKLIB@
    171171OBJEXT = @OBJEXT@
     172OPT_CFLAGS = @OPT_CFLAGS@
     173OPT_CXXFLAGS = @OPT_CXXFLAGS@
    172174OSIOBJDIR = @OSIOBJDIR@
    173175OSISRCDIR = @OSISRCDIR@
Note: See TracChangeset for help on using the changeset viewer.